会員ランク削除
DELETE
/customer_ranks/{rank}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customer_ranks/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customer_ranks/example \ --header 'Authorization: Bearer <token>'会員ランクを削除します。
対象プラン
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”rank
required
string
会員ランク
Responses
Section titled “Responses”削除成功
- 指定された会員ランクのリソースが見つからない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定された会員ランクのリソースが見つかりません", "status": 404}